using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
    

        RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
    }

    void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        List<TestClass> source = new List<TestClass>() {
            new TestClass(){ ID=1, Item = new TestClass2(){ ID1=2}},
            new TestClass(){ ID=2, Item = new TestClass2(){ ID1=20}},
            new TestClass(){ ID=3, Item = new TestClass2(){ ID1=30}}
        };

        RadGrid1.DataSource = source;
    }
}

public class TestClass
{
    public int ID { get; set; }
    public TestClass2 Item { get; set; }
}

public class TestClass2
{
    public int ID1 { get; set; }
}
